{% extends 'base.html' %}

{% block title %}Update Profile{% endblock %}

{% block content%}
    <div class="container">
        <div class="row">
            <div class="col-6 offset-3">
                {% if is_user_authenticated == False %}
                    <h3 class="text-center mt-5 mb-5">Please enter your username and password to proceed:</h3>
                    <form action="{% url 'todolist:update_profile' %}" method="post">

                        {% csrf_token %}
    
                        <div class="mb-3">
                            <label for="username">Username:</label>
                            <input 
                                type="text" 
                                class="form-control" 
                                id="username" 
                                maxlength="20" 
                                name="username" 
                                value="{{ username }}" 
                                required
                            >
                        </div>
    
                        <div class="mb-3">
                            <label for="password">Password:</label>
                            <input 
                                type="password" 
                                class="form-control" 
                                id="password" 
                                maxlength="20" 
                                name="password" 
                                value="{{ password }}" 
                                required
                            >
                        </div>
    
                        <div class="text-center">
                            <input type="submit" class="btn btn-success" value="Submit">
                        </div>
    
    
                    </form>

                    <a href="{% url 'todolist:index' %}">Back to homepage</a>

                {% else %}
                    <form action="{% url 'todolist:update_profile' %}" method="post">

                        {% csrf_token %}

                        <div class="mb-3">
                            <label for="new_password">New Password:</label>
                            <input 
                                type="password" 
                                class="form-control" 
                                id="new_password" 
                                maxlength="20" 
                                name="new_password" 
                                value="{{ new_password }}" 
                                required
                            >
                        </div>

                        <div class="mb-3">
                            <label for="first_name">First Name:</label>
                            <input 
                                type="text" 
                                class="form-control" 
                                id="new_first_name" 
                                maxlength="20" 
                                name="new_first_name" 
                                value="{{ new_first_name }}" 
                                required
                            >
                        </div>

                        <div class="mb-3">
                            <label for="new_last_name">Last Name</label>
                            <input 
                                type="text" 
                                class="form-control" 
                                id="new_last_name" 
                                maxlength="20" 
                                name="new_last_name" 
                                value="{{ new_last_name }}" 
                                required
                            >
                        </div>

                        <div class="text-center">
                            <input type="submit" class="btn btn-success" value="Submit">
                        </div>

                    </form>

                {% endif %}

            </div>
        </div>
    </div>
    
    
{% endblock %}